Redmine - Feature #29791
Hide "Files" section in wiki pages when printing
2018-10-18 17:17 - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version: 3.4.7

Resolution: Fixed

Description

| do not want to display the Files toggle when printing a wiki page. But, this element does not have a class or id which can be
uniquely specified.

So, I'd like you to add "attachments” to the class attribute of this element.

source:trunk/app/views/wiki/show.html.erb#l 53

Japanese

00wikiDOODDO00OOFilesDO00DO0DDO0DO00DO00D00000000000000D ¢c1assMial0OO0DOO0
0000000000class000000attachments"0000000000000000

Associated revisions

Revision 17614 - 2018-10-31 08:16 - Go MAEDA
Hide "Files" section in wiki pages when printing (#29791).

Patch by Yuichi HARADA.

Revision 17615 - 2018-10-31 08:39 - Go MAEDA
Merged r17614 from trunk to 3.4-stable (#29791).

History

#1 - 2018-10-31 06:25 - Yuichi HARADA
- File 29791-hidden-wiki-attachments.patch added

+1
Since it has no meaning, it should be hidden when printing.

| made a patch, and attach it.

diff --git a/app/views/wiki/show.html.erb b/app/views/wiki/show.html.erb
index 559d5e0e0..507014989 100644

—-—— a/app/views/wiki/show.html.erb

+++ b/app/views/wiki/show.html.erb

@@ -50,12 +50,12 @@

<%= render (:partial => "wiki/content", :locals => {:content => @content}) %>

—<fieldset class="collapsible collapsed">
+<fieldset class="collapsible collapsed wiki-attachments">

<legend onclick="toggleFieldset (this);"><%= 1 (:label_attachment_plural) %> (<%= @page.attachments.length %>
) </legend>

<div style="display: none; ">

<%= link_to_attachments @page, :thumbnails => true %>

<% if @editable && authorize_for ('wiki', 'add_attachment') %>
<div id="wiki_add_attachment">
<%= form_tag({:controller => 'wiki', :action => 'add_attachment',
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/wiki/show.html.erb#L53

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index ec5bb57df..clc6d7600 100644

-—— a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -1487,7 +1487,7 Q@ img.filecontent.image {background-image: url(../images/transparent.png);}
#top-menu, #header, #main-menu, #sidebar, #footer, .contextual, .other-formats { display:none; }
#main { background: #fff; }
#content { width: 99%; margin: 0; padding: 0; border: 0; background: #fff; overflow: visible !important;}

- #wiki_add_attachment { display:none; }

+ #wiki_add_attachment, .wiki-attachments { display:none; }
.hide-when-print, .pagination ul.pages, .pagination .per-page { display: none !important; }
.autoscroll {overflow-x: visible;}
table.list {margin-top:0.5em;}

#2 - 2018-10-31 06:30 - Go MAEDA
- Subject changed from Make it possible to uniquely specify the Files element of the wiki page to Hide "Files" section in wiki pages when printing

- Target version set to 4.1.0

#3 - 2018-10-31 06:42 - Go MAEDA

| think adding "hide-when-print" class is better because it is simpler and can clarify the intention to hide the section when printing.

Index: app/views/wiki/show.html.erb

——— app/views/wiki/show.html.erb (revision 17612)
+++ app/views/wiki/show.html.erb (working copy)
@@ -50,7 +50,7 @@

<%= render (:partial => "wiki/content", :locals => {:content => @content}) %>
—<fieldset class="collapsible collapsed">
+<fieldset class="collapsible collapsed hide-when-print">
<legend onclick="toggleFieldset (this);"><%= 1l (:label_attachment_plural) %> (<%= (@page.attachments.length %>

) </legend>
<div style="display: none;">

#4 - 2018-10-31 07:17 - Yuichi HARADA
- File 29791-hidden-wiki-attachments-v2.patch added
Go MAEDA wrote:

| think adding "hide-when-print" class is better because it is simpler and can clarify the intention to hide the section when printing.

I'm sorry, "hide-when-print" class was better.

| rebuilt a patch.
Please delete the previous patch. (29791-hidden-wiki-attachments.patch)

#5 - 2018-10-31 08:19 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 3.4.7

- Resolution set to Fixed

#6 - 2018-10-31 08:40 - Go MAEDA

- Status changed from Resolved to Closed

Committed to the trunk and 3.4-stable branch. Now Files section in wiki pages is hidden when printing.
Thank you for your contribution.
#7 - 2018-10-31 10:15 - Anonymous

Thank you for All!
Happy Halloween!! XD
Files

29791-hidden-wiki-attachments.patch 1.54 KB 2018-10-31 Yuichi HARADA
29791-hidden-wiki-attachments-v2.patch 767 Bytes 2018-10-31 Yuichi HARADA
